/*
 Theme Name:   Bootscore Taknai 2026
 Description:  Bootscore Base
 Author:       Bootscore
 Author URI:   https://bootscore.me
 Template:     bootscore
 Version:      6.0.0
 Requires at least: 5.0
 Tested up to: 6.6
 Requires PHP: 7.4
 License: MIT License
 License URI: https://github.com/bootscore/bootscore-child/blob/main/LICENSE
 Text Domain:  bootscore
*/

/* 
All style editing is done via /assets/scss/_bootscore_custom.scss
*/

@import url('https://fonts.googleapis.com/css2?family=Sarabun&display=swap');

body {
    font-family: 'Sarabun', sans-serif;
    /*background-image: url(css/bg.png);*/
    background-repeat: repeat;
    background-position: 0px 0px;
}

a, a:hover {
    text-decoration: none;
}

img {
    height: auto;
    max-width: 100%;
}

.auto-hide {
    transition: opacity 0.3s ease;
    opacity: 1;
}
.auto-hide.hidden {
    opacity: 0;
    pointer-events: none;
}

.bg-gd {
/*    color: #fff;
    background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
    background-size: 400% 400%;
    animation: gradientBG 15s ease infinite;*/
}

.bg-rainbow {
/*    background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
    background-size: 400% 400%;
    animation: gradient 15s ease infinite;*/
}

@keyframes gradientBG {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

.small-text {
    font-size: 0.6rem;
}

.line-clamp-2 {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;	
}

/*header*/

/*.site-title a{
  font-size: 34px;
  font-optical-sizing: auto;
  font-weight: 800;
  font-style: normal;
  text-transform: uppercase;
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #23d5ab);
  background-clip: text;
  color: transparent;
  color: red!important;
  background-size: 200% 100%;
  animation: gradient 5s linear infinite;
}*/

.site-title a{
  font-size: 34px;
  font-optical-sizing: auto;
  font-weight: 800;
  font-style: normal;
  text-transform: uppercase;
  background-clip: text;
  color: red!important;
  background-size: 200% 100%;
    text-shadow: 2px 2px 2px #727272;
}

/*fixul*/
.footer_widget ul{
    list-style: none;
    padding: 0;
    margin: 0;
}

.card-h-200 {
    height: 200px;
}

.home_card:before {
    content: '';
    position: absolute;
    display: block;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 2;
    background: linear-gradient(180deg, rgba(0, 0, 0, .1) 0%, rgba(0, 0, 0, .4) 75%, rgba(0, 0, 0, .8) 100%);
    opacity: .5;
    transition: .5s;
    pointer-events: none;
}

/*fonts*/
.fs-7 {
    font-size: .875em;
}

.fs-8 {
    font-size: 0.6rem;
}

.entry-content img {
    max-width: 100%;
    /*margin-bottom: 0.5rem;*/
}

/*comment*/
.comment-list,
.children {
    list-style: none!important;
    padding: 0!important;
}

.children .depth-2 {
    padding-left: 0.25em!important;
    border-left: 0.1rem solid #dee2e6!important;
}

.children .depth-3 {
    padding-left: 0.25em!important;
    border-left: 0.1rem solid #dee2e6!important;
}

.screen-reader-text {
    clip: rect(1px, 1px, 1px, 1px);
    position: absolute !important;
    height: 1px;
    width: 1px;
    overflow: hidden;
    word-wrap: normal !important;
}

.comment-sent {
    display: none;
}

#cancel-comment-reply-link {
    color: red!important;
    float: right;
}

/*widget*/
.widget ul, .widget ul li {
    list-style: none;
    padding: 0;
    margin: 0;
}


/*dark mode*/
[data-bs-theme=dark] .somediv {}